.TH ANN_GEN ANN "July 1998" "HRy" "ANN Toolbox"
.so ../sci.an
.SH NAME
ANN_GEN - General utility functions
.SH OBJECTIVE
To provide for some functions wich are usefull for a larger number of
architectures. This is their general man page.
.SH USER INTERFACE
.in +11
.ti -11
.I PARAMETERS\c
\&\ (in alphabetical order, not all functions require all parameters)
.in -11
.TP
.B x\c
Matrix containing input patterns, one per column. There shall be a unique
column corespondence with the matrix of targets t and/or y.
.TP
.B y,z\c
Matrix containing actual output patterns, one per column. There shall
be a unique column corespondence with the matrix of targets t and/or x.
.TP
.B t\c
Matrix containing target patterns, one per column. There shall be a unique
column corespondence with the matrix of targets x and/or y.
.in +11
.ti -11
.PP
.I FUNCTIONS\c
\&\ 
.in -11
.TP
.B y = ann_log_activ(x)
Logistic activation function. Here y and x have to be column vectors.
.TP
.B z = ann_d_log_activ(y)
Derivative of logistic activation function, expressed in terms of
actual output (not in terms of total input !).
.TP
.B E = ann_sum_of_sqr(y,t)
Sum-of-squares error function.
.TP
.B err_d = ann_d_sum_of_sqr(y,t)
Derivative, with respect to network outputs of sum-of-squares error function.
Here y and t have to be column vectors.
.TP
.B [x,t] = ann_pat_shuffle(x,t)
Shuffles patterns randomly for better network training, the corespondence
between x and t is preserved
.SH SEE ALSO
ANN
.br
.SH AUTHOR
Ryurick M. Hristev (HRy)
.br
physrmh@phys.canterbury.ac.nz
.SH COPYING
Copyright (C) Ryurick M. Hristev.
.br
The ANN Toolkit is licensed under
.I GNU Public Licence version\ 2\c
\&.
