.TH ANN ann_FF_Hess "August 1998" "HRy" "ANN Toolbox"
.so ../sci.an
.SH NAME
ann_FF_Hess - computes Hessian by finite differences.
.SH CALLING SEQUENCE
H = ann_FF_Hess(x, t, N, W, dW, dW2[,af ,ef])
.SH PARAMETERS
.TP
H
The Hessian hypermatrix, have the same layout as
W.*.W (\c
.I not\c
\&\ W.*.W' as usually found in literature);
H(n1,i1,l1,n2.i2,l2) is the second derivative of error with respect to
weights W(n1,i1,l1) and W(n2,i2,l2).
.TP
x
Matrix of input patterns, one pattern per column.
.TP
t
Matrix of target patterns, one pattern per column.
.TP
N
Row vector describing the number of neurons per layer.
N(1) is the size of input pattern vector, N(size(N,'c')) is the size
of output pattern vector (and also target).
.TP
W
The weight hypermatrix.
.TP
dW, dW2
The quantities used to perturb each W parameter; dW is used for
non-diagonal parameters, for diagonal parameters the supplemental
perturbations quantities dW2 * dW are also used (note that very small values
may easily lead to numerical instabilities)
.TP
af
The activation function to be used.
.sp
This parameter is optional, default value "ann_log_activ",
i.e. the logistic activation function.
.TP
ef
The error function to be used.
.sp
This parameter is optional, default value "ann_sum_of_sqr",
i.e. the sum-of-squares error function.
.SH DESCRIPTION
This function calculates the Hessian trough a finite differences procedure.
.sp
This process is very slow and is provided for testing purposes only.
.sp
Internals: or off-diagonal elements: two weights are perturbed at +/- dW;
for on-diagonal elements the perturbing quantities are:
+/- (1 +/- dW2) * dW for one weight; the corresponding Hessian term is
calculated from the four resulting errors (at four W points).
.SH SEE ALSO
.TP
ANN - general overview of ANN toolkit.
.TP
ANN_GEN - general support functions.
.TP
ANN_FF - general descroption of feedforward nets and algorithms.
.SH AUTHOR
Ryurick M. Hristev
.br
physrmh@phys.canterbury.ac.nz
