.TH ann_FF_grad_BP ANN "August 1998" "HRy" "ANN Toolbox"
.so ../sci.an
.SH NAME
ann_FF_grad_BP - error gradient trough backpropagation
.SH CALLING SEQUENCE
W = ann_FF_grad_BP(x,t,N,W[,c,af,err_deriv_y])
.SH PARAMETERS
.TP
x
Matrix of input patterns, one pattern per column.
.TP
t
Matrix of targets, one pattern per column. Each column have a
correspondent column in x.
.TP
N
Row vector describing the number of neurons per layer.
N(1) is the size of input pattern vector, N(size(N,'c')) is the size
of output pattern vector (and also target).
.TP
W
The weight hypermatrix (initialized first trough ann_BP_init).
.TP
c
defines the threshold of error which is backpropagated: a error
smaller that c (at one neuronal output) is rounded towards zero
and thus not propagated. It have to be set to zero for exact
calculation of gradient.
.sp
This parameter is optional, default value 0.
.TP
af
Activation function and its derivative. Row vector of strings:
.br
.in +3
af(1) - name of activation function.
.br
.in +8
.ti -8
af(2)\ -\ name of derivative.
.I Warning\c
\&: given the activation function y = f(x), the derivative have to be
expressed in terms of y,
.I not\c
\&\ x.
.in -8
.in -3
.sp
This parameter is optional, default value is
"['ann_log_activ', 'ann_d_log_activ']", i.e. logistic activation
function and its derivative.
.TP
err_deriv_y
the name of error function derivative with respect to network outputs.
.sp
This parameter is optional, default value is "ann_d_sum_of_sqr",
i.e. the derivative of sum-of-squares.
.SH DESCRIPTION
Returns the error gradient hypermatrix (it have the same layout as W)
of a feedforward ANN, using the
.I whole\c
\&\ given training set. The algorithm used is standard backpropagation.
.SH EXAMPLES
This function is used as a low level engine in other algorithms
(thus the reason for existence of c parameter),
e.g. see implementation of ann_FF_ConjugGrad function.
.SH SEE ALSO
.TP
ANN - general overview of ANN toolkit.
.TP
ANN_FF - general overview of supported feedforward nets and algorithms.
.TP
ann_FF_init - initialization of weight hypermatrix.
.SH AUTHOR
Ryurick M. Hristev
.br
physrmh@phys.canterbury.ac.nz
