.TH ann_FF_init_nb ANN "August 1998" "HRy" "ANN Toolbox"
.so ../sci.an
.SH NAME
ann_FF_init_nb - initialize the weight hypermatrix (without bias).
.SH CALLING SEQUENCE
W = ann_BP_init_nb(N[,r])
.SH PARAMETERS
.TP
N
Row vector describing the number of neurons per layer.
N(1) is the size of input pattern vector, N(size(N,'c')) is the size
of output pattern vector (and also target).
.TP
r
Two component row vector defining the smallest and the largest value
for initialization. Weights will be initialized with random numbers
between these two values.
.br
.in +3
r(1)\ the lower limit
.br
r(2)\ the upper limit
.in -3
.sp
This parameter is optional, default value is [-1,1].
.TP
W
The weight hypermatrix, in the format used by ann_BP_Std_nb, ann_BP_run_nb
and other functions working with feedforward nets (without bias).
.SH DESCRIPTION
This function builds the weight hypermatrix according to network
description N. The format of it is detailed in ANN_FF.
.sp
This function is to be used on networks
.I without\c
\&\ biases.
.SH EXAMPLE
See examples/ann/encoder_nb.sce in the home directory of your Scilab
installation for a full example.
.SH SEE ALSO
.TP
ANN - general overview of ANN toolkit.
.TP
ANN_FF - general overview of supported feedforward nets and algorithms.
.SH AUTHOR
Ryurick M. Hristev
.br
physrmh@phys.canterbury.ac.nz
