.TH ann_FF_run ANN "August 1998" "HRy" "ANN Toolbox"
.so ../sci.an
.SH NAME
ann_FF_run - run patterns trough a feedforward net.
.SH CALLING SEQUENCE
y = ann_FF_run(x,N,W[,l,af])
.SH PARAMETERS
.TP
y
Matrix of outputs, one pattern per column. Each column have a
correspondent column in x.
.TP
x
Matrix of input patterns, one pattern per column.
.TP
N
Row vector describing the number of neurons per layer.
N(1) is the size of input pattern vector, N(size(N,'c')) is the size
of output pattern vector.
.TP
W
The weight hypermatrix (initialized first trough ann_FF_init).
.TP
l
Defines the "injection" layer and the output layer.
x patterns are injected into layer l(1) as coming from layer l(1) - 1.
y outputs are collected from the outputs of layer l(2).
.sp
This parameter is optional, default value is [2,size(N,'c')],
i.e. the whole network.
.sp
.I Warning\c
\&: l(1)=1 does not make sense.
.TP
af
String containing the name of activation function.
.sp
This parameter is optional, default value is
"ann_log_activ", i.e. logistic activation function.
.SH DESCRIPTION
This function is used to run patterns trough a feedforward net as defined by
N and W.
.SH EXAMPLE
See examples/ann/encoder.sce in the home directory of your Scilab
installation for a full example.
.SH SEE ALSO
.TP
ANN - general overview of ANN toolkit.
.TP
ANN_FF - general overview of feedforward nets and supported algorithms.
.SH AUTHOR
Ryurick M. Hristev
.br
physrmh@phys.canterbury.ac.nz
