.TH ann_log_activ ANN "August 1998" "HRy" "ANN Toolbox"
.so ../sci.an
.SH NAME
ann_log_activ - logistic activation function
.SH CALLING SEQUENCE
y = ann_log_activ(x)
.SH PARAMETERS
.TP
y
Matrix containing the activation, one pattern per column.
For each pattern:
.sp
.in +5
.nf
             1
y(i) = --------------
       1 + exp[-x(i)]
.fi
.in -5
.TP
x
Matrix containing the total neuronal input, one pattern per column.
For each pattern: each x(i) for the corresponding i-th neuron on
the current layer.
.SH DESCRIPTION
This function is the default neuronal activation function. Any other,
user defined, function should have the same input and output format
for variables. 
.SH SEE ALSO
.TP
ANN - general overview of ANN toolkit.
.TP
ANN_FF - general overview of supported feedforward nets and applications.
.SH AUTHOR
Ryurick M. Hristev
.br
physrmh@phys.canterbury.ac.nz
